
GammaLib - Bug #1696

Correct SWIG interface so that FITS table column warning disappear

02/17/2016 10:46 PM - Knödlseder Jürgen

Status: Closed Start date: 02/17/2016

Priority: Normal Due date:  

Assigned To: Knödlseder Jürgen % Done: 100%

Category:  Estimated time: 0.00 hour

Target version: 1.3.0   

Description

When building the SWIG interface, the following warnings appear:

GFitsTableCol.i:238: Warning 467: Overloaded method GFitsTableCol::__setitem__(int [],double) not supported (no type checking

 rule for 'int []').

GFitsTableCol.i:215: Warning 467: Overloaded method GFitsTableCol::__setitem__(int [],int) not supported (no type checking rule for

 'int []').

GFitsTableStringCol.i:113: Warning 467: Overloaded method GFitsTableStringCol::__setitem__(int [],std::string) not supported (no

 type checking rule for 'int []').

The code should be modified so that these warning disappear.

History

#1 - 06/21/2016 10:02 PM - Knödlseder Jürgen

- Target version set to 1.2.0

#2 - 03/03/2017 10:14 AM - Knödlseder Jürgen

- Target version changed from 1.2.0 to 1.3.0

#3 - 06/07/2017 12:37 AM - Knödlseder Jürgen

- Status changed from New to Closed

- Assigned To set to Knödlseder Jürgen

- % Done changed from 0 to 100

Corrected and merged into devel.
